<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
include("fozzyconfig.php");
include("fozzyfuncts.php");
Session_name("FOZZYMAIL");
Session_start();
if (( Session_is_registered( Session_Id() . "_ok" ) == false ) ||
	( !Session_is_registered("sess_valide") ) ||
	( $sess_valide != true ))
{
	die("<META HTTP-EQUIV=\"Refresh\" content=\"0;URL=index.php?err=2\">");
}
$udir = $sess_udir;
if ( $tri != "" )
{
	if ( !Session_is_registered("sess_tri") ) Session_register("sess_tri");
	$sess_tri = $tri;
}
if ( $sess_tri != "" ) 	$tri = split("_",$sess_tri);
Session_write_close();
setlocale (LC_TIME, "fr"); 
$FozzyMail = new FozzyMail_config( $udir );
$fg_col=$FozzyMail->fg_col;
$bg_col=$FozzyMail->bg_col;
$ErrMessage="";
if ( isset( $list_to_do ) && isset( $list_to_act ) )
{
	if ( $list_to_act == "D" )
	{
		$FozzyMail->fozzy_delete($list_to_do);
		$list_to_do = "";
	}
	else if (( $list_to_act == "U" ) || ( $list_to_act == "S" ))
	{
		$list_to_do = $list_to_act.urldecode($list_to_marq);
	}
}
if ( $FozzyMail->fozzy_fetch_mails($list_to_do) == false )
{
	unset($FozzyMail);
	header("Location: fozzyconf.php?Err=Connexion impossible : $ErrMessage");
	exit();
}
if (!ereg("asc",$FozzyMail->tri["sens"]) && !ereg("desc",$FozzyMail->tri["sens"])) $FozzyMail->tri["sens"] = "desc";
if (!ereg("size",$FozzyMail->tri["mode"]) && !ereg("expe",$FozzyMail->tri["mode"]) && !ereg("subj",$FozzyMail->tri["mode"]) && !ereg("date",$FozzyMail->tri["mode"])) $FozzyMail->tri["mode"] = "date";
if ( $tri == "" )
{
	$tri = Array( 0 => $FozzyMail->tri["mode"], 1 => $FozzyMail->tri["sens"]);
}
?>
<html>
<head>
<style>
.A_Unseen
{
	color:#000000;
	font-Family:Arial;
	text-Decoration:underline;
}
.A_seen
{
	color:<?=$bg_col?>;
	font-Family:Arial;
	text-Decoration:underline;
}
</style>
<SCRIPT LANGUAGE=javascript SRC="mfe_calque.js"></SCRIPT>
<SCRIPT LANGUAGE=javascript SRC="mfe_infobulle.js"></SCRIPT>
<script language=javascript>
function select(obj)
{
	var msg;
	var reg;
	var messid;
	if ( obj.tagName == "A" )
	{
		reg = new RegExp("^id_([0-9]*)_([0-9]*)_(.*)","");
		tbres = reg.exec(obj.id);
		regid = new RegExp("-"+tbres[1]+"_"+tbres[2]+"-","gi");
		messid = tbres[3];
		if ( tbres[3].search(/[\\\^\$\*\+\?\.\{\}\(\)\[\]\|]/gi) )
		{
			tbres[3] = tbres[3].replace(/\\/gi,"\\\\");
			tbres[3] = tbres[3].replace(/\^/gi,"\\^");
			tbres[3] = tbres[3].replace(/\$/gi,"\\$");
			tbres[3] = tbres[3].replace(/\*/gi,"\\*");
			tbres[3] = tbres[3].replace(/\+/gi,"\\+");
			tbres[3] = tbres[3].replace(/\?/gi,"\\?");
			tbres[3] = tbres[3].replace(/\./gi,"\\.");
			tbres[3] = tbres[3].replace(/\{/gi,"\\{");
			tbres[3] = tbres[3].replace(/\}/gi,"\\}");
			tbres[3] = tbres[3].replace(/\(/gi,"\\(");
			tbres[3] = tbres[3].replace(/\)/gi,"\\)");
			tbres[3] = tbres[3].replace(/\[/gi,"\\[");
			tbres[3] = tbres[3].replace(/\]/gi,"\\]");
			tbres[3] = tbres[3].replace(/\|/gi,"\\|");
			
		}
		regms = new RegExp("-"+tbres[2]+"_"+tbres[3]+"-","gi");
		if ( document.all["list_to_do"].value.search(regid)>=0 )
		{
			document.all["list_to_do"].value=document.all["list_to_do"].value.replace(regid,"");
			document.all["list_to_marq"].value=document.all["list_to_marq"].value.replace(regms,"");
			obj.innerHTML = "<img src='vide.png' width=14 height=14 border=0>";
		}
		else
		{
			document.all["list_to_do"].value += "-"+tbres[1]+"_"+tbres[2]+"-";
			document.all["list_to_marq"].value += "-"+tbres[2]+"_"+messid+"-";
			obj.innerHTML = "<img src='sel.png' border=0>";
		}
	}
}
function selectall(obj)
{
	var msg;
	var reg;
	var trs=document.links;
	var i;

	document.all["list_to_do"].value = "";
	document.all["list_to_marq"].value = "";
	if ( obj.childNodes(0).src.match("vide\.png$") )
		obj.innerHTML = "<img src='sel.png' border=0>";
	else
		obj.innerHTML = "<img src='vide.png' width=14 height=14 border=0>";
	reg = new RegExp("^id_([0-9]*)_([0-9]*)_(.*)","");
	for (i=0; i<trs.length; i++)
	{
		if ( ( tbres = reg.exec(trs[i].name) ) != null )
		{
			if ( trs[i].childNodes(0).src.match("vide\.png$") )
			{
				document.all["list_to_do"].value += "-"+tbres[1]+"_"+tbres[2]+"-";
				document.all["list_to_marq"].value += "-"+tbres[2]+"_"+tbres[3]+"-";
				trs[i].innerHTML = "<img src='sel.png' border=0>";
			}
			else
			{
				trs[i].innerHTML = "<img src='vide.png' border=0>";
			}
		}
	}
}
function init_refresh()
{
	window.setInterval("window.location='fozzymail.php'",300000);
}
function add_contact(nom,adres)
{
	window.open("choixcontact.php?nom="+escape(nom)+"&adr="+adres,"contact","width=600, height=400, resizable=yes, scrollbars=yes");
}
function next_mail(idm)
{
	if (tbm[idm][0] != -1) window.document.all["lnk_"+tbm[idm][0]].click();
}
function prev_mail(idm)
{
	if (tbm[idm][1] != -1) window.document.all["lnk_"+tbm[idm][1]].click();
}
</script>
</head>
<body bgcolor="#<?=$bg_col?>" onload="init_refresh()">
<form method=post action="fozzymail.php">
	<input type=hidden name=list_to_do id=list_to_do value="">
	<input type=hidden name=list_to_act id=list_to_act value="">
	<input type=hidden name=list_to_marq id=list_to_marq value="">
</form>
<table width=100% border=0 cellpadding=1 cellspacing=1>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=7>
		<table cellpadding=0 cellspacing=0 border=0 width=100%>
			<tr>
				<td width=30% align=left>
					<font face=Arial size=1>&nbsp;<a class=A_Unseen href="index.php">Quitter</a>
					&nbsp;-&nbsp;<a class=A_Unseen href="fozzyconf.php" onmouseover="Info_Bulle('Configurer mon Fozzymail');return false;">Configurer</a>
					&nbsp;-&nbsp;<a class=A_Unseen href="#" onclick="window.open('fozzycontacts.php','FozzyWrite','width=800,height=600,left=200,top=100,scrollbars=yes,resizable=yes');return(false);" onmouseover="Info_Bulle('Grer mes contacts');return false;">Carnet d'adresse</a></font>
				</td>
				<td width=20% align=center>
<?
	$sizebox="";
	for ( $i=0; $i<$FozzyMail->mboxes; $i++ )
	{
		if ( $FozzyMail->mailboxes["activ"] != 1 )
		{
			ereg("^([^@]*)@",$FozzyMail->mailboxes[$i]["box"],$regs);
			$sizebox .= $regs[1] . " : " . get_readable_size($FozzyMail->mailboxes[$i]["size"]) . "<br>";
		}
	}
?>
					<font face=Arial size=1><?=$FozzyMail->messgs?> message<?=ends($FozzyMail->messgs)?>,&nbsp;<a href="#" class=A_Unseen onclick="return false;" onmouseover="Info_Bulle('<?=$sizebox?>');return false;"><?=get_readable_size($FozzyMail->totsize)?></a></font>
				</td>
				<td width=30% align=center>
<? $ats = get_attach_infos($udir); ?>
					<font face=Arial size=1><a class=A_Unseen href="#" onclick="<?if ($ats["count"] > 0) {?>window.open('fozzyatt.php','FozzyView','width=800,height=600,left=200,top=100,scrollbars=yes,resizable=yes');<?} else {?>alert('Le dossier des pices jointes est vide.');<?}?>return(false);" onmouseover="Info_Bulle('Afficher toutes les pices jointes des messages lus');return false;">Pices jointes charges</a> : <?=$ats["count"]?> fichier<?=ends($ats["count"])?><? if ( $ats["count"]>0 ) echo ", ".$ats["size"];?></font>
				</td>
				<td width=20% align=right>
					<font face=arial size=1><a class=A_Unseen href="#" onclick="window.open('fozzyapropos.php','FozzyApropos','width=300,height=200,left=200,top=100');return false;">A propos...</a></font>
				</td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=7>
	<font face=Arial size=1><a name=actu id=actu class=A_Unseen href="fozzymail.php" onmouseover="Info_Bulle('Recharger la liste des courriers depuis le serveur');return false;">Actualiser</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick='if (document.all["list_to_do"].value != "") { document.forms[0].list_to_act.value="D";document.forms[0].submit();} return false;' onmouseover="Info_Bulle('Supprimer les messages slectionns.');return false;">Supprimer</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick="window.open('fozzywrite.php','FozzyWrite','width=800,height=600,left=200,top=100,scrollbars=yes,resizable=yes');return(false);" onmouseover="Info_Bulle('Ecrire un nouveau message.');return false;">Ecrire</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick='if (document.all["list_to_do"].value != "") { document.forms[0].list_to_act.value="S"; document.forms[0].submit();} return false;' onmouseover="Info_Bulle('Marquer comme lus les messages slectionns.');return false;">Marquer "Lus"</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick='if (document.all["list_to_do"].value != "") { document.forms[0].list_to_act.value="U"; document.forms[0].submit();} return false;' onmouseover="Info_Bulle('Marquer comme non lus les messages slectionns.');return false;">Marquer "NON Lus"</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=1" target=_blank onmouseover="Info_Bulle('Voir les messages en attente d\'envoi.');return false;">Diffrs</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=2" target=_blank onmouseover="Info_Bulle('Voir les messages envoys.');return false;">Envoys</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=3" target=_blank onmouseover="Info_Bulle('Voir les messages archivs.');return false;">Archivs</a></font>
<?	if ( $FozzyMail->supp ) { ?>
	 | <font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=4" target=_blank onmouseover="Info_Bulle('Voir les messages supprims.');return false;">Supprims</a></font>
<?	} ?>
	</td>
</tr>
<?
{
?>
<tr>
	<td bgcolor="#<?=$fg_col?>" width=14px height=14px><a href="#" name="id_0" id="id_0" onclick="selectall(this);return false;"><img src="vide.png" height=14 width=14 border=0></a></td>
	<td bgcolor="#<?=$fg_col?>" width=14px height=14px>&nbsp;</td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1>boite</font></td>
	<td bgcolor="#<?=$fg_col?>"><table cellpadding=0 cellspacing=0 border=0><tr><td><font face=Arial size=1>objet</font>&nbsp;&nbsp;</td><td><table cellpadding=0 cellspacing=0 border=0><tr><td><a href="fozzymail.php?tri=subj_asc"><img src="Fleche_H_<?if (($tri[0]=="subj") && ($tri[1]=="asc")) echo "in";?>active.png" border=0></a></td></tr><tr><td><img src="Fleche_sep.png" border=0></td></tr><tr><td><a href="fozzymail.php?tri=subj_desc"><img src="Fleche_B_<?if (($tri[0]=="subj") && ($tri[1]=="desc")) echo "in";?>active.png" border=0></a></td></tr></table></td></tr></table></td>
	<td bgcolor="#<?=$fg_col?>"><table cellpadding=0 cellspacing=0 border=0><tr><td><font face=Arial size=1>expditeur</font>&nbsp;&nbsp;</td><td><table cellpadding=0 cellspacing=0 border=0><tr><td><a href="fozzymail.php?tri=expe_asc"><img src="Fleche_H_<?if (($tri[0]=="expe") && ($tri[1]=="asc")) echo "in";?>active.png" border=0></a></td></tr><tr><td><img src="Fleche_sep.png" border=0></td></tr><tr><td><a href="fozzymail.php?tri=expe_desc"><img src="Fleche_B_<?if (($tri[0]=="expe") && ($tri[1]=="desc")) echo "in";?>active.png" border=0></a></td></tr></table></td></tr></table></td>
	<td bgcolor="#<?=$fg_col?>"><table cellpadding=0 cellspacing=0 border=0><tr><td><font face=Arial size=1>date</font>&nbsp;&nbsp;</td><td><table cellpadding=0 cellspacing=0 border=0><tr><td><a href="fozzymail.php?tri=date_asc"><img src="Fleche_H_<?if (($tri[0]=="date") && ($tri[1]=="asc")) echo "in";?>active.png" border=0></a></td></tr><tr><td><img src="Fleche_sep.png" border=0></td></tr><tr><td><a href="fozzymail.php?tri=date_desc"><img src="Fleche_B_<?if (($tri[0]=="date") && ($tri[1]=="desc")) echo "in";?>active.png" border=0></a></td></tr></table></td></tr></table></td>
	<td bgcolor="#<?=$fg_col?>"><table cellpadding=0 cellspacing=0 border=0><tr><td><font face=Arial size=1>taille</font>&nbsp;&nbsp;</td><td><table cellpadding=0 cellspacing=0 border=0><tr><td><a href="fozzymail.php?tri=size_asc"><img src="Fleche_H_<?if (($tri[0]=="size") && ($tri[1]=="asc")) echo "in";?>active.png" border=0></a></td></tr><tr><td><img src="Fleche_sep.png" border=0></td></tr><tr><td><a href="fozzymail.php?tri=size_desc"><img src="Fleche_B_<?if (($tri[0]=="size") && ($tri[1]=="desc")) echo "in";?>active.png" border=0></a></td></tr></table></td></tr></table></td>
</tr>
<?
	if ($FozzyMail->messgs>0) 
	{   
		usort( $FozzyMail->mails, "tri_".$tri[0]."_".$tri[1] );
		$js_tab = "<script language=javascript>\r\nvar tbm=Array(0);\r\n";
		$precm=-1;
		$nxexm=-1;
		$i=0;
		foreach($FozzyMail->mails as $val) 
		{
			
			if ( $precm == -1 )
			{
				$js_tab .= "tbm[".$val->id.$val->boxid."] = Array(-1,";
			}
			else
			{
				$js_tab .= $val->id.$val->boxid . ");\r\ntbm[".$val->id.$val->boxid."] = Array($precm,";
			}
			$precm = $val->id.$val->boxid;
?>
<tr name="trs" id="trs">
	<td bgcolor="#<?=$fg_col?>" width=14px><font face=Arial size=1><a href="#" name="id_<?=$val->id."_".urlencode($val->messid)?>" id="id_<?=$val->id."_".urlencode($val->messid)?>" onclick="select(this);return false;"><img src="vide.png" height=14 width=14 border=0></a></font></td>
	<td bgcolor="#<?=$fg_col?>" width=14px><? if ( $val->attach ) {?><img src="jointe.png"><?}?></td>
	<td bgcolor="#<?=$fg_col?>" width=14px><font face=Arial size=1><? ereg("^([^@]*)@",$FozzyMail->mailboxes[$val->boxid]["box"],$regs);echo $regs[1];?></font></td>
<?
	$str=str_replace("\r\n","",fozzy_mime_decode($val->hd["subject"]));
	if ( ereg_replace("[\t ]","",$str) == "" ) $str = "Pas de sujet";
?>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><a name=lnk_<?=$val->id.$val->boxid?> id=lnk_<?=$val->id.$val->boxid?> class=A_<? if ( !$val->seen ) echo "Un";?>seen href="#" onmouseover="Info_Bulle('Consulter : <?=str_replace("'","\'",str_replace("\"","&quot;",$str))?>');return false;" onclick="this.className='A_seen';window.open('fozzyview.php?msg=<?=$val->boxid."_".$val->id?>','FozzyView','width=800,height=600,left=200,top=100,scrollbars=yes,resizable=yes');return(false);"><?if (strlen($str)>55) echo substr($str,0,55)."..."; else echo $str;?></a></font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><?get_emails_tab($val->hd["from"]);?></font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><?=Date("d/m/y H\hi",strtotime(recu($val->hd["received"])))?></font></td>
	<td bgcolor="#<?=$fg_col?>" align=right><font face=Arial size=1><?=$val->size?></font></td>
</tr>
<?
		}
		$js_tab .= "-1);\r\n</script>\r\n";
	}
?>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=7>
	<font face=Arial size=1><a class=A_Unseen href="fozzymail.php" onmouseover="Info_Bulle('Recharger la liste des courriers depuis le serveur');return false;">Actualiser</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick='if (document.all["list_to_do"].value != "") { document.forms[0].list_to_act.value="D";document.forms[0].submit();} return false;' onmouseover="Info_Bulle('Supprimer les messages slectionns.');return false;">Supprimer</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick="window.open('fozzywrite.php','FozzyWrite','width=800,height=600,left=200,top=100,scrollbars=yes,resizable=yes');return(false);" onmouseover="Info_Bulle('Ecrire un nouveau message.');return false;">Ecrire</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick='if (document.all["list_to_do"].value != "") { document.forms[0].list_to_act.value="S"; document.forms[0].submit();} return false;' onmouseover="Info_Bulle('Marquer comme lus les messages slectionns.');return false;">Marquer "Lus"</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="#" onclick='if (document.all["list_to_do"].value != "") { document.forms[0].list_to_act.value="U"; document.forms[0].submit();} return false;' onmouseover="Info_Bulle('Marquer comme non lus les messages slectionns.');return false;">Marquer "NON Lus"</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=1" target=_blank onmouseover="Info_Bulle('Voir les messages en attente d\'envoi.');return false;">Diffrs</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=2" target=_blank onmouseover="Info_Bulle('Voir les messages envoys.');return false;">Envoys</a></font> | 
	<font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=3" target=_blank onmouseover="Info_Bulle('Voir les messages archivs.');return false;">Archivs</a></font>
<?	if ( $FozzyMail->supp ) { ?>
	 | <font face=Arial size=1><a class=A_Unseen href="fozzysent.php?dir=4" target=_blank onmouseover="Info_Bulle('Voir les messages supprims.');return false;">Supprims</a></font>
<?	} ?>
	</td>
</tr>
</table>
<?=$js_tab?>
<?
}
?>
</body>
</html>